@import url("https://fonts.googleapis.com/css2?family=Lobster&display=swap");
body {
  font-family: "Lobster", cursive;
}
/* slide image */
.menu-header {
  background: rgb(152, 103, 192);
}
.mySlides img {
  width: 100%;
}

.item-image {
  width: 20%;
}

.image-preview {
  position: relative;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  width: 40px;
  height: 40px;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  border-radius: 50%;
  user-select: none;
  -webkit-user-select: none;
  text-decoration: none;
}

.next {
  right: 0;
}

.mySlides:nth-child(1) {
  display: block;
}
.mySlides {
  display: none;
}
.demo {
  width: 100%;
}

.caption-container {
  background: rgb(21 136 255 / 36%);
}

/* layout grid image */
.grid-image img {
  max-width: 100%;
  display: block;
}

.grid-image figure {
  position: relative;
  margin: 0;
  display: grid;
  grid-template-rows: 1fr auto;
  margin-bottom: 10px;
  break-inside: avoid;
  transition: 1s;
  border-radius: 10px;
  overflow: hidden;
}

.grid-image figure > img {
  grid-row: 1 / -1;
  grid-column: 1;
  transition: 1s;
}

.grid-image figure > img:hover {
  transform: scale(1.2);
}

.grid-image figure a {
  display: none;
}
.grid-image figure:hover a {
  display: block;
  position: absolute;
  color: white;
  font-size: 20px;
  text-align: justify;
  line-height: 1.2;
  text-decoration: none;
  top: 5%;
  left: 5%;
  width: 90%;
  font-weight: bold;
}
.grid-image figure:hover {
  opacity: 0.6;
}
.grid-image {
  column-count: 4;
  column-gap: 10px;
}
